alsaplayer (0.99.81-1ubuntu2) utopic; urgency=high

  * No change rebuild against libmimod3.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 28 Apr 2014 01:35:17 +0100

alsaplayer (0.99.81-1ubuntu1) utopic; urgency=medium

  * debian/patches/40_libtool_ppc64el.patch: Fix to match what was in Ubuntu
    and to fix the FTBFS regression on ppc64el.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 26 Apr 2014 01:50:59 -0400

alsaplayer (0.99.81-1) unstable; urgency=medium

  * New upstream release.
  * Acknowledge NMU, thanks to Moritz Muehlenhoff (closes: #638582, #654518)
  * debian/control: add ${misc:Depends}, thanks to Benjamin Kerensa
    (closes: #692546)
  * debian/libalsaplayer-dev.install: do not install .la file
  * debian/source/format: add format file, set to 3.0 (quilt)
  * debian/control: bump Standards-Version to 3.9.5
  * debian/control: remove Tony from Maintainers
  * debian/control: depends on libmikmod-dev
  * debian/control: simplify short and long description (closes: #550281)
  * debian/*.mime: add audio/flac (closes: #726657)
  * debian/patches/20_http_double_free.dpatch: update
  * debian/patches/30_const_char.dpatch: remove merged hunks
  * debian/patches/40_libtool_ppc64el.patch: manually update aclocal.m4 and
    configure to add support for ppc64el, thanks Logan Rosen (closes: 737670)
  * debian/patches/50_fix_J_option.patch: fix segfault with -J, thanks to Sang
    Kil Cha (closes: #680973)
  * debian/{control,copyright,watch}: update homepage

 -- Paul Brossier <piem@debian.org>  Mon, 17 Mar 2014 01:49:08 -0300

alsaplayer (0.99.80-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Only build on alsaplayer-alsa on Linux (Closes: #638582)
  * Enable hardened build flags and fixup format strings issues spotted
    by -Werror=format-security (Closes: #654518)	

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 06 Apr 2012 11:53:14 +0200

alsaplayer (0.99.80-5) unstable; urgency=low

  * debian/patches/30_const_char.dpatch: added patch to fix const char
    conversion issue (closes: #560467)
  * debian/control: switch to quilt
  * debian/patches/ rename 00list to series
  * debian/README.source: switch to quilt
  * debian/control: update Vcs- fields

 -- Paul Brossier <piem@debian.org>  Sat, 19 Dec 2009 18:41:35 +0100

alsaplayer (0.99.80-4) unstable; urgency=low

  [Tony Palma]
  * New maintainer. Closes: #517341.
  * Acknowledge NMUs (Closes: #518734.)
  * Add cross build detection on debian/rules Closes: #542526.
  * Fix lintian warnings: (Closes: #538213.)
    - Bump standards-version to 3.8.3
    - Change the package dependency with revision to non-revision version.
    - dh_desktop was removed from debian/rules
  * Fix the syntax error on debian/watch
  * Removed the alsaplayer-text menu entry. Closes: #530756.
  * Move alsaplayer.desktop from common to gtk. Closes: #530755.
  * Mime error on .desktop. Closes: #544304.
    * Add patch: 07_mimetype.dpatch
      Thanks Nick Leverton <nick@leverton.org>. 
  * New libraries fix depends error. Closes: #508142.

  [Paul Brossier]
  * Move config.{sub,guess} update from debian/rules to
    debian/patches/10_uptodate_configure
  * Remove all obsolete patches from debian/patches
  * Add debian/README.source 
  * Add patch 06_ftbfs_fix from Ubuntu
  * Change Build-Depends from xlibmesa-gl-dev to libgl1-mesa-dev
  * Change Build-Depends from libflac-dev (>= 1.1.4.-1) to (>= 1.1.4)
  * Remove 'Apps/' from libalsaplayer-dev.doc-base Section
  * Use GTK+, not GTK in short and long packages descriptions
  * Update debian/copyright to list different contributors
  * Add Vcs-Svn and Vcs-Browser fields to debian/control
  * debian/control: span Build-Depends on multiple line
  * debian/patches/20_http_double_free.dpatch: Avoid double free when uri
    parsing failed (closes: #508142)

 -- Paul Brossier <piem@debian.org>  Wed, 16 Sep 2009 01:59:35 +0200

alsaplayer (0.99.80-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to missing <climits> include (Closes: #518734):
     * Add patch: 06_climits.dpatch
  * Set urgency to “medium”, this bug affects testing too.
  * Switch from obsolete “xlibmesa-gl-dev | libgl-dev” to libgl1-mesa-dev
    in Build-Depends.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 19 Jul 2009 15:09:12 +0200

alsaplayer (0.99.80-3) unstable; urgency=low

  * debian/alsaplayer-xosd.menu: The xosd interface really shouldn't need to be
    run from a terminal.

 -- Hubert Chathi <uhoreg@debian.org>  Mon, 16 Jun 2008 14:56:28 -0400

alsaplayer (0.99.80-2) unstable; urgency=low

  * debian/alsaplayer-text.menu, debian/alsaplayer-daemon.menu: Remove useless
    "needs=X11" entries. (closes: #461764)

 -- Hubert Chathi <uhoreg@debian.org>  Sun, 20 Jan 2008 13:26:47 -0500

alsaplayer (0.99.80-1) unstable; urgency=low

  * New upstream release.
    * Remove patches already added by upstream. (05_madglib)
  * debian/alsaplayer-gtk.mime: Fix -i arguments. (closes: #459015)
  * debian/control: Add Homepage field.
  * debian/control: Bump Standards-Version to 3.7.3 (no changes).
  * debian/copyright: License changed to GPL 3 or later.

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 08 Jan 2008 01:29:10 -0500

alsaplayer (0.99.80~rc4-1) unstable; urgency=low

  * New upstream release.
    * Fixes buffer overflow in vorbis plugin. [CVE-2007-5301] (closes: #446034)
    * Remove patches already added by upstream.
  * debian/patches/05_madglib.dpatch: Link mad plugin against glib only,
    instead of gtk. (closes: #444584)
  * debian/control: Update file to use binary:Version.
  * debian/rules: Don't ignore errors in clean target.
  * debian/*.menu: s/Apps/Applications/g.
  * debian/alsaplayer-gtk.menu: s/-i gtk/-i gtk2/

 -- Hubert Chathi <uhoreg@debian.org>  Wed, 10 Oct 2007 15:33:10 -0400

alsaplayer (0.99.80~rc2-1) unstable; urgency=low

  * New upstream version.
    * Fix scroll pane. (closes: 217991)
    * Add tooltips. (closes: 370589)
    * Remove patches already added by upstream.
  * Build new gtk2 interface.
    * Add patch to load the right gtkrc file.
  * Install desktop file.

 -- Hubert Chan <uhoreg@debian.org>  Fri, 28 Sep 2007 19:17:35 -0400

alsaplayer (0.99.79-3) unstable; urgency=low

  * More unsigned int -> size_t fixes. (hopefully really closes: #427979)

 -- Hubert Chan <uhoreg@debian.org>  Fri,  8 Jun 2007 15:24:59 -0400

alsaplayer (0.99.79-2) unstable; urgency=low

  * Remove liboggflac-dev from Build-depends, and update libflac-dev dependency.
  * Change unsigned int to size_t in FlacStream. (closes: #427979)

 -- Hubert Chan <uhoreg@debian.org>  Thu,  7 Jun 2007 16:23:38 -0400

alsaplayer (0.99.79-1) unstable; urgency=low

  * New upstream release. (closes: #420873)
    * Support new flac. (closes: #427957)
    * Remove patches already added by upstream.
  * Take patch from svn to fix patch in levelmeter scope. (closes: #412405)
  * Read a longer welcome string from cddb. (closes: 414026)
  * Other miscellaneous cddb reading improvements.
  * Take patch from svn to add html parsing to cddb lookup.

 -- Hubert Chan <uhoreg@debian.org>  Tue,  5 Jun 2007 15:31:11 -0400

alsaplayer (0.99.77-1) unstable; urgency=low

  * New upstream release.
    * remove patches already added by upstream.
  * New maintainer address.
  * Add missing #include in CorePlayer.cpp. (closes: #417091)

 -- Hubert Chan <uhoreg@debian.org>  Sun, 15 Apr 2007 16:31:28 -0400

alsaplayer (0.99.76-9) unstable; urgency=high

  * 01_security_SA21422: patch from Hubert Chan to fix some buffer overflow
    bugs. (see: http://secunia.com/advisories/21422/) (closes: #382842)
    Upload with urgency high (fixes security issues).

 -- Paul Brossier <piem@debian.org>  Wed, 20 Sep 2006 00:35:25 +0200

alsaplayer (0.99.76-8) unstable; urgency=low

  [ Hubert Chan ]
  * 16_default_interface: if we're trying to use the GTK interface, but we have
    no $DISPLAY, use the text interface instead (closes: #347977).
  * 17_cdda_segfault_fix: fix a couple of errors in the cdda engine.
    (closes: #327435)
  * Bump standards version to 3.7.2. (no changes)
  * Bump debhelper compatibility level to 5.

  [ Paul Brossier ]
  * include patch from Viktor Radnai (closes: #360178), adding Ctrl+Q shortcut
    to quit (closes: #259051)
  * remove old Conflict/Replaces, avoid circular dependancies by moving
    alsplayer-common to Recommends in alsaplayer-(interface|output).
  * drop /usr/share/doc symlink, update debian/rules accordingly.
  * add alsaplayer-*.preinst to make sure symlinks are removed before upgrade.
  * moved alsaplayer-common as first package in debian/control
  * updated alsaplayer-{common,gtk,text} descriptions
  * removed old README.Debian

 -- Paul Brossier <piem@debian.org>  Wed,  5 Jul 2006 15:04:26 +0200

alsaplayer (0.99.76-7) unstable; urgency=low

  [ Hubert Chan ]
  * Merged in some patches from CVS:
    + 09_looper_thread: upstream's fix for checking looper_thread.
    + 12_thread_cond_wait: use conditional waits in threads (more portable).
    + 13_mem_thread_fix: various memory and threading fixes.
    + 14_percent_decoding: fix percent decoding of filenames.
  * Fixed package descriptions to contain proper capitalization of JACK, and
    consistently use EsounD instead of esd.

  [ Paul Brossier ]
  * Rebuild against latest liboggflac-dev (closes: #325527, #325944)
  * Added a simple patch:
    + 15_jack_oss: Jack output does not fail anymore when no physical output
    is found

 -- Paul Brossier <piem@debian.org>  Thu,  1 Sep 2005 14:46:43 +0100

alsaplayer (0.99.76-6) unstable; urgency=low

  Hubert Chan:
    * 09_looper_thread: fixed incorrect patch for checking looper_thread.

  Paul Brossier:
    * 10_text_add_new_line: add missing \n in text interface.
    * 11_fix_sndfile_duration: have sndfile correctly display file length. 

 -- Paul Brossier <piem@debian.org>  Tue, 12 Jul 2005 15:35:27 +0100

alsaplayer (0.99.76-5) unstable; urgency=low

  Hubert Chan:
    * Check that looper_thread was initialized before trying to join it.
      (closes: #298546)
    * Add real comments to dpatch patches.
    * Some gtk interface cleanups. (closes: #178434, #218061)
    * Remove obsolete patch that added #include <assert.h> (was added by
      upstream as well).
    * Fix FlacMetadataTag.cpp to build under g++ 4.0.
  
  Paul Brossier:
    * Rebuild against latest libjack (closes: #317181)

 -- Paul Brossier <piem@debian.org>  Fri,  8 Jul 2005 04:07:08 +0100

alsaplayer (0.99.76-4) unstable; urgency=low

  * Moved to dpatch, updated autoconf/automake files
  * Cleaned up debian/rules configure flags
     (closes: #315899 and hopefully other FTBFS)
  * Dropped audiofile and wav input plugin: fixes various hangs and
     playlists issues; now plays most formats correctly
     (closes: #222321, #219221, #295570, #254730, #259068)
  * Build against newer jack.

 -- Paul Brossier <piem@debian.org>  Tue, 28 Jun 2005 23:39:23 +0100

alsaplayer (0.99.76-3) unstable; urgency=low

  * Hubert Chan:
    + Add missing nametemplates to mime info files (closes: #253153)
    + Test that $DISPLAY is set in alsaplayer-xosd's mime info file
    + Remove leftover config.log and libtool
    + Patch flac input to read flac metadata
         Thanks to Tim Evans (closes: #227152)
    + Update manpage (closes: #222837, #218820)
  * Paul Brossier:
    + Added required Section line to debian/libalsaplayer-dev.doc-base
       (closes: #315512)
    + Added __USE_XOPEN to use swab in input/cdda/cdda.h,
        removed obsolete function in input/cdda/cdda_engine.c
    + Dropped autoconf/automake Build-Deps, do not use build/ dir anymore
    + Added automatic update of config.{guess,sub}, ran maintainerclean
    + Added watch file

 -- Paul Brossier <piem@debian.org>  Sun, 26 Jun 2005 16:25:03 +0100

alsaplayer (0.99.76-2) unstable; urgency=low

  * Re-Add automake1.4 and autoconf2.13, required to build on ia64 and alpha
  * Reenable menu maint scripts (lintian was previously lying a bit)
  * Complete menu entries with alsaplayer-common and x-terminal-emulator
  * Bump to Standards-Version 3.6.2
  * Remove alsa-headers dependancy, now provided by libasound2-dev

 -- Paul Brossier <piem@debian.org>  Thu, 23 Jun 2005 00:39:48 +0100

alsaplayer (0.99.76-1) unstable; urgency=low

  * Acknowledge NMUs (closes: #233817, #263909, #289217, #225065,
        closes: #195984, #213947, #227849)
  * Remove alsaplayer, obsolete transition package (closes: #308715)
     (alsaplayer-common now provides alsaplayer)
  * Change -common dependancy from -oss to -alsa (closes: #235487, #254732)
  * Dependancies were already updated to newer flac (closes: #292338)
  * Move documentation to libalsaplayer-dev (closes: #267534)
  * Patch audiofile interface to play mono files correctly
       Thanks to Michel Daenzer (closes: #236676, #224420, #245178)
  * Add space after colon in http header (closes: #250580)
  * Remove link from libalsaplayer-dev to libalsaplayer0
  * Remove CVS leftovers from debian diffs
  * Updated menu entries (alsaplayer now starts gtk interface) 
    (closes: #248191)
  * Add -n to dh_installmenu to avoid useless modifications of maint scripts
  * Drop useless automake/autoconf Build-Depends
  * New maintainers (closes: #314841)

 -- Paul Brossier <piem@debian.org>  Tue, 21 Jun 2005 16:48:56 +0100

alsaplayer (0.99.76-0.3) unstable; urgency=low

  * Non-Maintainer Upload
  * Rebuilt against the latest libflac-dev, altered the build-dep on
    libflac-dev to >= 1.1.1-3, as per guidance, closes: #289217.

 -- Stephen Quinney <stephen@jadevine.org.uk>  Sat, 22 Jan 2005 09:17:35 +0000

alsaplayer (0.99.76-0.2) unstable; urgency=high

  * NMU
  * Add libxt-dev to build-depends to fix FTBFS (Closes: #263909)
    (This may be a quick hack but it works and
     it's minimal, so I prefer it for now)

 -- Frank Lichtenheld <djpig@debian.org>  Thu, 19 Aug 2004 17:59:13 +0200

alsaplayer (0.99.76-0.1) unstable; urgency=low

  * NMU with maintainer's blessing.
  * New upstream release:
    * Fixes ALSA version detection. (Closes: #233817)
    * Turns off playlist looping by default, and offers new commandline
      options -P and -S. (Closes: #195984)
    * Fixes segfault when selecting "open exclusively" from the scopes menu.
      (Closes: #227849)
    * Fixes filename handling with percent signs. (Closes: #213947)
  * [output/alsa-final/alsa.c] Send sound data to ALSA in native byte order
    rather than little endian. Thanks Michel Daenzer <daenzer@debian.org>.
    (Closes: #225065)
  * [input/flac/*] Updated from CVS.
  * [debian/copyright] Updated upstream location.
  * [debian/rules]
    * Removed bashisms.
    * Configure --enable-audiofile.
    * Removed call to obsolete dh_undocumented.
  * [debian/rules, debian/*.files, debian/*.install] Switched to dh_install;
    install the manpage through dh_install as well.
  * [debian/compat, debian/rules, debian/control] Switch to debhelper V4.
  * [debian/control] 
    * Updated Standards-Version.
    * Added build dependency on liboggflac-dev so we get OggFLAC support.
    * Updated build dependency "xlibmesa-dev | libgl-dev" ->
      "xlibmesa-gl-dev | libgl-dev".
    * Reworded alsaplayer-xosd description.
    * Added build dependency on doxygen to generate the library documentation.
    * Changed section of libalsaplayer-dev to libdevel.
  * [debian/rules, libalsaplayer-dev.install,
    debian/libalsaplayer-dev.doc-base] Include the library documentation.
  * [debian/*.mime]
    * Register as a player for the audio/x-flac and application/x-flac media
      types.
    * Quote filenames.
  * [debian/*.menu] Quoted "needs" and "section" values.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 24 Feb 2004 11:36:24 +0100

alsaplayer (0.99.75-6) unstable; urgency=low

  * debian/control: Updated build dependency of jack.

 -- Ivo Timmermans <ivo@debian.org>  Mon, 19 Jan 2004 17:18:22 +0100

alsaplayer (0.99.75-5) unstable; urgency=low

  * app/Main.cpp: Fixed segfault in the code that was changed with the
    last upload.  (Closes: #)

 -- Ivo Timmermans <ivo@debian.org>  Fri, 19 Sep 2003 13:00:43 +0200

alsaplayer (0.99.75-5) unstable; urgency=low

  * app/Main.cpp: Applied patch from Matthias Ulrichs to fix immediate
    "Invalid config file" error.  (Closes: #210294)

 -- Ivo Timmermans <ivo@debian.org>  Tue, 16 Sep 2003 23:17:26 +0200

alsaplayer (0.99.75-4) unstable; urgency=low

  * debian/control: Updated libjack-dev build dependency.
    (Closes: #198319)
  * output/jack/jack.cpp: Updated to upstream CVS version.

 -- Ivo Timmermans <ivo@debian.org>  Sat, 21 Jun 2003 18:31:03 +0200

alsaplayer (0.99.75-3) unstable; urgency=low

  * interface/gtk/PlaylistWindow.cpp, gtk_interface.cpp: Added
    #include <assert.h>  (Closes: #194074)
  * debian/*.mime: Added a line for the new MIME type application/ogg.

 -- Ivo Timmermans <ivo@debian.org>  Wed, 21 May 2003 00:12:45 +0200

alsaplayer (0.99.75-2) unstable; urgency=low

  * debian/control:
      - Make alsaplayer-common depend on alsaplayer-oss and alsaplayer-gtk
        as first options.
      - Removed extra dependency on alsaplayer-output from interface
        plugin packages.

 -- Ivo Timmermans <ivo@debian.org>  Sat, 10 May 2003 00:14:10 +0200

alsaplayer (0.99.75-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
      - Make the output and interface plugins depend on the
        exact version of alsaplayer-common.  (Closes: #185814)
      - Update Standards-Version and debhelper dependency.

 -- Ivo Timmermans <ivo@debian.org>  Mon,  5 May 2003 23:24:24 +0200

alsaplayer (0.99.74-3) unstable; urgency=low

  * Rebuild against new libvorbis.  (Closes: #184993)
  * debian/rules: Activate dh_strip again (oops!).

 -- Ivo Timmermans <ivo@debian.org>  Sun, 16 Mar 2003 13:00:20 +0100

alsaplayer (0.99.74-2) unstable; urgency=low

  * debian/control: Update jack dependency.  (Closes: #183938)

 -- Ivo Timmermans <ivo@debian.org>  Sat,  8 Mar 2003 23:04:35 +0100

alsaplayer (0.99.74-1) unstable; urgency=low

  * New upstream release
      - Should fix NAS plugin problems.  (Closes: #143382)
  * debian/control:
      - New interface packages: alsaplayer-xosd and alsaplayer-daemon.
      - New build dependencies: libxosd-dev, libsndfile1-dev

 -- Ivo Timmermans <ivo@debian.org>  Mon, 10 Feb 2003 12:09:02 +0100

alsaplayer (0.99.73-4) unstable; urgency=low

  * debian/control: Update libjack build dependancy.  (Closes: #177025)

 -- Ivo Timmermans <ivo@debian.org>  Thu, 16 Jan 2003 20:44:32 +0100

alsaplayer (0.99.73-3) unstable; urgency=low

  * Recompile, with new C++ ABI. (Closes: #176552)

 -- Ivo Timmermans <ivo@debian.org>  Mon, 13 Jan 2003 22:34:29 +0100

alsaplayer (0.99.73-2) unstable; urgency=low

  * input/flac/FlacEngine.cpp: Fix FLAC segfault.  (Closes: #173520)
  * debian/control: Don't let alsaplayer-esd depend on esound.
    (Closes: #173688)

 -- Ivo Timmermans <ivo@debian.org>  Sat, 21 Dec 2002 00:36:39 +0100

alsaplayer (0.99.73-1) unstable; urgency=low

  * New upstream release.
  * debian/alsaplayer-gtk.mime, alsaplayer-text.mime: New files.
  * debian/rules: Install MIME handlers.
  * debian/control: Update jack and nas build dependencies.

 -- Ivo Timmermans <ivo@debian.org>  Sun, 15 Dec 2002 15:16:06 +0100

alsaplayer (0.99.72-3) unstable; urgency=low

  * debian/control: Change libflac-dev build dependency to >= 1.0.4-2.
  * Re-ran all auto* (Closes: #164341)

 -- Ivo Timmermans <ivo@debian.org>  Fri, 11 Oct 2002 20:21:03 +0200

alsaplayer (0.99.72-2) unstable; urgency=low

  * debian/control: Build depend on libjack0.38.0-dev and libflac-dev (>=
    1.0.4-0). (Closes: #163548)
  * input/flac/FlacFile.cpp: Patch from CVS for new flac.

 -- Ivo Timmermans <ivo@debian.org>  Tue,  8 Oct 2002 20:43:10 +0200

alsaplayer (0.99.72-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Removed (Build-)Dependencies on curl, as the
    http/ftp reader methods were rewritten.

 -- Ivo Timmermans <ivo@debian.org>  Wed, 18 Sep 2002 12:59:30 +0200

alsaplayer (0.99.71-4) unstable; urgency=low

  * Added versioned build dependency on libflac-dev. (Closes: #152757)
    Building with FLAC 1.0.3 requires some changes to the code, which
    were conveniently stolen from CVS, where they were recently
    committed.
  * Build dependency for libjack-dev changed to libjack0.34.0-dev.
    (Closes: #153942)
  * Fix menu entry for alsaplayer-text. (Closes: #154912)

 -- Ivo Timmermans <ivo@debian.org>  Sun, 11 Aug 2002 11:48:36 +0200

alsaplayer (0.99.71-3) unstable; urgency=low

  * Build dependencies have changed:-
      * libgl-dev has been replaced with xlibmesa-dev | libgl-dev.
        (Closes: #151108)
      * libcurl-ssl-dev has been replaced with libcurl-dev (>= 7.9.8).
        (Closes: #151235)

 -- Ivo Timmermans <ivo@debian.org>  Fri, 28 Jun 2002 10:11:02 +0200

alsaplayer (0.99.71-2) unstable; urgency=low

  * Erm, install reader plugins in alsaplayer-common. (Closes: #150982)
  * Build flac input plugin.
  * New build dependencies on libcurl-ssl-dev and libflac-dev.

 -- Ivo Timmermans <ivo@debian.org>  Wed, 26 Jun 2002 10:00:35 +0200

alsaplayer (0.99.71-1) unstable; urgency=low

  * New upstream release.

 -- Ivo Timmermans <ivo@debian.org>  Mon, 24 Jun 2002 18:55:33 +0200

alsaplayer (0.99.70-3) unstable; urgency=low

  * Build the jack output plugin.

 -- Ivo Timmermans <ivo@debian.org>  Thu, 13 Jun 2002 19:42:13 +0200

alsaplayer (0.99.70-2) unstable; urgency=low

  * Fix HPPA compilation (thanks, Andy).  (Closes: #147400)

 -- Ivo Timmermans <ivo@debian.org>  Mon, 20 May 2002 15:06:40 +0200

alsaplayer (0.99.70-1) unstable; urgency=low

  * New upstream release.
  * Install the null output plugin into alsaplayer-common.

 -- Ivo Timmermans <ivo@debian.org>  Sat, 18 May 2002 23:40:02 +0200

alsaplayer (0.99.59-5) unstable; urgency=high

  * libalsaplayer.{a,so} are installed again. (Closes: #144342)

 -- Ivo Timmermans <ivo@debian.org>  Wed, 24 Apr 2002 15:52:13 +0200

alsaplayer (0.99.59-4) unstable; urgency=medium

  * Apply patch to interface/gtk/PlaylistWindow.cpp to make gcc 3 happy
    again. (Closes: 143464)
  * Add build dependency on zlib1g-dev. (Workaround for: #142611)

 -- Ivo Timmermans <ivo@debian.org>  Thu, 18 Apr 2002 21:54:21 +0200

alsaplayer (0.99.59-3) unstable; urgency=low

  * Change exactly one character in configure.ac to keep autobuilders
    happy. (Closes: #142611)

 -- Ivo Timmermans <ivo@debian.org>  Sat, 13 Apr 2002 08:52:04 +0200

alsaplayer (0.99.59-2) unstable; urgency=low

  * Actually install README.Debian. (Closes: #142378)
  * Remove --nogui from the manpage.

 -- Ivo Timmermans <ivo@debian.org>  Thu, 11 Apr 2002 18:00:29 +0200

alsaplayer (0.99.59-1) unstable; urgency=low

  * New upstream release.
  * Added libid3tag0-dev to the list of build dependencies.
    (Closes: #141734)
  * Added missing libaudiofile-dev builddep.

 -- Ivo Timmermans <ivo@debian.org>  Tue,  9 Apr 2002 10:08:48 +0200

alsaplayer (0.99.58-1) unstable; urgency=low

  * New upstream release.

 -- Ivo Timmermans <ivo@debian.org>  Wed,  3 Apr 2002 23:03:36 +0200

alsaplayer (0.99.57-1) unstable; urgency=low

  * New upstream release.

 -- Ivo Timmermans <ivo@debian.org>  Tue, 19 Mar 2002 08:07:55 +0100

alsaplayer (0.99.56-1) unstable; urgency=low

  * New upstream release. (Closes: #138034)
  * Added note about the old --nogui switch. (Closes: #137863)
  * Changed the description for alsaplayer a little.

 -- Ivo Timmermans <ivo@debian.org>  Tue, 12 Mar 2002 19:19:21 +0100

alsaplayer (0.99.55-1) unstable; urgency=low

  * New upstream release.

 -- Ivo Timmermans <ivo@debian.org>  Sat,  9 Mar 2002 23:09:13 +0100

alsaplayer (0.99.54-1) unstable; urgency=low

  * New upstream release. (Closes: #109419, #129079, #122983)

 -- Ivo Timmermans <ivo@debian.org>  Thu, 28 Feb 2002 20:03:32 +0100

alsaplayer (0.99.36+1-3) unstable; urgency=low

  * Ran libtoolize. (Closes: #120863)

 -- Ivo Timmermans <ivo@debian.org>  Tue,  4 Dec 2001 14:48:13 +0100

alsaplayer (0.99.36+1-2) unstable; urgency=low

  * Delete any leftover files (config.cache). (Closes: #110626)
  * Depend on either asound1 or 2, this should fix ARM build
    (Closes: #111663)
  * Let alsaplayer-common and -text replace all versions < 0.99.36.
    (Closes: #112097)
  * Build-Depend on automake1.4 (Closes: #110626, #115313)
  * Install documentation in alsaplayer-common, and let the other packages
    provide a symlink. (Closes: #112250)

 -- Ivo Timmermans <ivo@debian.org>  Sun, 21 Oct 2001 20:22:02 +0200

alsaplayer (0.99.36+1-1) unstable; urgency=low

  * Correcting a fuckup by me (Debian stuff in orig.tar.gz) and one by the
    upstream maintainer (releasing a changed version with same version
    number).

 -- Ivo Timmermans <ivo@debian.org>  Fri, 24 Aug 2001 10:10:23 +0200

alsaplayer (0.99.36-1) unstable; urgency=low

  * New upstream release.
  * Activated ogg vorbis input plugin, works now.

 -- Ivo Timmermans <ivo@debian.org>  Thu, 23 Aug 2001 16:28:41 +0200

alsaplayer (0.99.34-2) unstable; urgency=low

  * Let alsaplayer-common replace alsaplayer. (Closes: #109569)
  * Remove any .la files, they aren't needed.

 -- Ivo Timmermans <ivo@debian.org>  Wed, 22 Aug 2001 09:09:44 +0200

alsaplayer (0.99.34-1) unstable; urgency=low

  * New upstream release.
  * NMU ack. (Closes: #103502, #105170)
  * Compile with alsa 0.9 (build depends libasound2-dev, alsa-headers).
  * Don't build depend on libc6-dev.
  * Don't build ogg vorbis input engine.

 -- Ivo Timmermans <ivo@debian.org>  Thu, 16 Aug 2001 15:34:43 +0200

alsaplayer (0.99.32+0.99.33pre3-1.1) unstable; urgency=low

  * Non Maintainer Upload.
  * Added libtool, automake and autoconf to build dependencies.
    Closes: Bug#103502, Bug#105170.

 -- Jerome Marant <jerome@debian.org>  Sun, 15 Jul 2001 00:13:17 +0200

alsaplayer (0.99.32+0.99.33pre3-1) unstable; urgency=low

  * New upstream release. (Closes: #83576, #86374)
  * Activated ogg plugin.
  * Updated standards version.

 -- Ivo Timmermans <ivo@debian.org>  Wed, 27 Jun 2001 02:59:46 +0200

alsaplayer (0.99.32+0.99.33pre2-3) unstable; urgency=low

  * Changed build dependency on alsa-headers to alsa-headers-0.5
  * Included a manual page. (Closes: #95713)
  * Make the OSS plugin's output device configurable via the command line
    option -d. (Closes: #95591)

 -- Ivo Timmermans <ivo@debian.org>  Wed,  9 May 2001 12:00:48 +0200

alsaplayer (0.99.32+0.99.33pre2-2) unstable; urgency=low

  * Changed build dependencies and put it on one line
    (Closes: #85327).

 -- Ivo Timmermans <ivo@debian.org>  Tue, 13 Feb 2001 18:13:30 +0100

alsaplayer (0.99.32+0.99.33pre2-1) unstable; urgency=low

  * New upstream release (0.99.33-pre2) (Closes: #57845, #78090, #79017).

 -- Ivo Timmermans <ivo@debian.org>  Tue, 16 Jan 2001 17:35:05 +0100

alsaplayer (0.99.32-2) unstable; urgency=low

  * Fix lintian errors.
  * Removed libmikmod2 suggestion.

 -- Ivo Timmermans <ivo@debian.org>  Wed,  1 Nov 2000 14:29:40 +0100

alsaplayer (0.99.32-1) unstable; urgency=low

  * New maintainer.
  * New upstream release (Closes: #45996, #49415, #68663).
  * Add a Build-Depends line (Closes: #55055, #70073, #70187).
  * Edit debian/alsaplayer*.files to not install .a or .la files
    (Closes: #45191).
  * debian/alsaplayer.menu: new file (Closes: #47719).

 -- Ivo Timmermans <ivo@debian.org>  Sun, 29 Oct 2000 00:59:59 +0200

alsaplayer (0.99.26-2.1) unstable; urgency=low

  * Non maintainer upload.
  * Recompile against new libasound (Closes: #48656).

 -- Edward Brocklesby <ejb@debian.org>  Sat, 30 Oct 1999 22:01:50 +0100

alsaplayer (0.99.26-2) unstable; urgency=low

  * Fixed the missing scopes problem

 -- Joseph Carter <knghtbrd@debian.org>  Tue, 17 Aug 1999 23:33:22 -0700

alsaplayer (0.99.26-1) unstable; urgency=low

  * New upstream version
  * Fixed control file booboo

 -- Joseph Carter <knghtbrd@debian.org>  Tue, 17 Aug 1999 16:51:54 -0700

alsaplayer (0.99.23-1) unstable; urgency=low

  * First release for the archive
  * New maintainer
  * Repackaged alsaplayer because of upstream changes
  * Debhelper v2, policy v3  (hi again joeyh!)

 -- Joseph Carter <knghtbrd@debian.org>  Thu, 15 Jul 1999 15:21:40 -0700

alsaplayer (0.99.13-1) unstable; urgency=low

  * New upstream release 

 -- Tamas Tevesz <ice@rulez.org>  Mon,  7 Jun 1999 15:27:06 -0400

alsaplayer (0.99.12-1) unstable; urgency=low

  * New upstream release 

 -- Tamas Tevesz <ice@rulez.org>  Mon,  7 Jun 1999 12:08:58 -0400

alsaplayer (0.99.11beta4-1) unstable; urgency=low

  * New upstream version
  * The desert.theme is now included.
  * Added docs/TODO and docs/pcm_mixing.txt from the upstream tree
  * Removed config.log from the diff

 -- Tamas Tevesz <ice@rulez.org>  Wed, 19 May 1999 14:36:18 -0400

alsaplayer (0.99.10-2) unstable; urgency=low

  * Compiled against xlib6g-3.3.3.1-3. 
  * Fixed typos in control

 -- Tamas Tevesz <ice@rulez.org>  Mon, 17 May 1999 07:55:19 -0400

alsaplayer (0.99.10-1) unstable; urgency=low

  * Initial release.

 -- Tamas Tevesz <ice@rulez.org>  Sun, 16 May 1999 14:33:32 -0400


